首页 / WordPress资讯 / 超棒,WordPress在未来将内置多语言支持!
Loading收藏0

Matt Mullenweg(WordPress创始人)在 6月底的WordCamp欧洲峰会上总结了过去6个月WordPress的开发进度以及未来的计划:

  1. 在WordPress 5.0中添加新的Block编辑器(古腾堡),已经完成。
  2. 在文章和页面编辑以外使用古腾堡编辑器,目前正在进行中。
  3. 更好的编写和编辑协作。这是下一个。
  4. 在WordPress内置多语言支持,这将在完成以上3个目标之后进行。

目前WordPress正在进行第二阶段的开发,这也是最重要的一个阶段。在演讲中, Matt Mullenweg 还演示了一些古腾堡相关的有趣的插件、创意以及核心进展。

其中,比较有意思的是,WordPress计划在古腾堡中可以按需安装和管理独立的区块。目前我们看到的很多古腾堡相关的插件,都是一个插件包含多个区块,你需要其中一个区块,就需要去安装整个插件。如果在WordPress后台中有一个专门安装古腾堡区块的功能,需要哪个区块就安装哪个,这将是非常忙酷的!WordPress后续就是要实现这个!!

在此次峰会中,我们并没有得到最后3个目标的具体完成时间,但是计划倒是不错的!

倡萌一直都在听到一些朋友说,古腾堡太难用了。的确,它在改变着我们的编辑习惯,而且目前还不成熟,但是不管怎样,这是未来的趋势,也是WordPress不会改变的开发计划,所以我们只能去学会适应!

倡萌现在比较担心的是,随着新编辑器的不断发展,更多的新技术将用在区块的显示和实现上,对于国内这样一个还在强调IE8兼容的环境下,对于采用WordPress的网站开发者而言,的确是非常头疼的事情。如果可以不再顾忌IE浏览器兼容,那将是国内开发者最庆幸的事情!

今天就说到这,如果你想了解更多的细节,可以直接到YouTube去看视频(请自己想办法访问): https://www.youtube.com/watch?v=UE18IsncB7s&feature=youtu.be&t=13033

你可能还喜欢

2 条评论

  1. 我还是在使用经典编辑器,那个毕竟用着顺手,新的实在不好用。培养一个用户习惯并不容易。不过他这个多语言支持,是啥意思呢?建的站点自带多语言翻译吗?如果只是安装时可以选择不同的语言版本,这个很早就已经实现了啊。不过如果可以实现基于新版本开发的主题跟插件能够自动翻译好,不再存在各语种版本插件,那会是很厉害的一件事。

发表评论

我们是靠谱的WordPress建站团队!

专业承接WordPress网站建设及运维、WordPress主题和插件开发、汉化、安装等服务

联系电话:0773-8282430

查看所有服务项目

视频教程: 点击联系我们
定制开发: 点击联系我们
售后支持: 点击联系我们
商务合作: 点击联系我们

固话:0773-8282-430

手机:133-0773-9152

微信扫一扫,联系我们